package com.bonus.canteen.core.account.v3.custom;

import com.bonus.canteen.core.account.v3.api.dto.AccOrdBaseDTO;
import com.bonus.canteen.core.account.v3.po.AccPayPO;
import com.bonus.canteen.core.account.v3.web.vo.AccOrdBasicsVO;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;


@Service
public class AccPayUniqueCustomBusiness implements CustomBusiness {
   private static final Logger log = LoggerFactory.getLogger(AccPayUniqueCustomBusiness.class);


   public AccOrdBasicsVO prepAccPayForOnline(AccOrdBaseDTO accOrdOnlineDTO) {
      return null;
   }

   public void didOnlinePayCalculation(AccPayPO accPayPo, AccOrdBaseDTO accOrdOnlineDTO) {
   }

   public AccOrdBasicsVO prepAccPayForOffline(AccOrdBaseDTO accOrdOfflineDTO) {
      return null;
   }

   public void didOfflinePayCalculation(AccPayPO accPayPo, AccOrdBaseDTO accOrdOnlineDTO) {
   }

   public AccOrdBasicsVO prepAccPayForMixPay(AccOrdBaseDTO accPayMixPayDTO) {
      return null;
   }

   public void didMixPayCalculation(AccPayPO accPayPo, AccOrdBaseDTO accOrdOnlineDTO) {
   }
}
